Name: gnomeicu
Version: 0.99.5
Release: alt1
Serial: 1
License: GPL
Summary: Gnome ICQ communications program 
Group: Networking/Instant messaging

URL: http://%name.gdev.net/	
Source: %name-%version.tar.bz2
Source1: icons-%name.tar.bz2
Patch0: gnomeicu-0.99.5-alt-gtk.patch

# Automatically added by buildreq on Mon Mar 22 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel intltool libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgdbm-devel libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel
BuildPreReq: automake_1.7
%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK. The original
source was taken from Matt Smith's mICQ. This is ment as a replacement for the
JavaICQ, which is slow and buggy.

%prep
%setup -q -n%name-%version
%patch0 -p1
  
%build
%configure --enable-applet --disable-schemas-install --disable-schemas-install
%make_build

%install
%makeinstall

# mdk menu
mkdir -p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(gnomeicu):\
needs="x11"\
section="Networking/Instant messaging"\
title="GnomeICU"\
longtitle="Gnome ICQ communications program"\
command="gnomeicu -a"\
icon="gnomeicu.xpm"
EOF

# mdk icon
install -d %buildroot%_iconsdir
tar xIvf %{SOURCE1} -C %buildroot%_iconsdir

%find_lang gnomeicu

%post
%update_menus
%update_scrollkeeper
%gconf2_install %name

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config %_sysconfdir/sound/events/GnomeICU.soundlist
%config %_sysconfdir/gconf/schemas/gnomeicu.schemas
%_bindir/*
%_datadir/pixmaps/*
%_datadir/omf/%name/*
%_libdir/bonobo/servers/* 
%_libdir/gnomeicu-applet 
%_datadir/applications/*.desktop
%_datadir/sounds/gnomeicu/*
%_datadir/gnome/help/gnomeicu/*
%_datadir/gnome-2.0/ui/*
%_datadir/gnomeicu/prefs*
%_datadir/gnomeicu/icons/*
%_datadir/gnomeicu/emoticons/*
%_datadir/gnomeicu/glade/*
%_iconsdir/gnomeicu.xpm
%_liconsdir/gnomeicu.xpm
%_miconsdir/gnomeicu.xpm
%_menudir/gnomeicu

%changelog
* Thu Apr 29 2004 Alex Murygin <murygin@altlinux.ru> 1:0.99.5-alt1
- new version
- removed DGTK_DISABLE_DEPRECATED from applet build

* Mon Mar 22 2004 Alex Murygin <murygin@altlinux.ru> 1:0.99-alt0.4_20040220
- snapshot from CVS (due to libgnet)
- spec cleaning

* Sat Sep 13 2003 Alex Murygin <murygin@altlinux.ru> 1:0.99-alt0.3
- regenerated buildreq

* Sun May 04 2003 Alex Murygin <murygin@altlinux.ru> 1:0.99-alt0.2
- fixed gconf macros
- added --disable-schemas-install option

* Wed Apr 30 2003 Alex Murygin <murygin@altlinux.ru> 1:0.99-alt0.1
- new version
- fixed missing files
- added scrollkeeper macros 
- added gconf macros

* Tue Oct 29 2002 AEN <aen@altlinux.ru> 1:0.98.121-alt0.1
- gtk2-version from CVS

* Wed Mar 13 2002 AEN <aen@logic.ru> 0.98.2-alt1
- new version

* Mon Dec 24 2001 AEN <aen@logic.ru> 0.98-alt1
- new version
* Fri Oct 12 2001 AEN <aen@logic.ru> 0.96.1-alt1
- Serial :1
- rebuilt with libpng.so.3

* Wed Feb 28 2001 AEN <aen@logic.ru> 0.96.1-ipl1mdk
- 0.96.1

* Sat Feb 17 2001 AEN <aen@logic.ru>
- 0.95.3
* Mon Feb 12 2001 AEN <aen@logic.ru>
- 0.95.1

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.94.1-1mdk
- new and shiny source.

* Wed Oct 11 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 0.94-1mdk
- 0.94 

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-8mdk
- ok! u can run it everywhere.

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-7mdk
- fix silly bug (gnomeicu run only under gnome) 
- add locales.
- provide all mdk menu icons.
- menu entry embedded in spec.

* Thu Sep 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-6mdk
- Use find_lang

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-5mdk
- Modified menu hiearchy too... 

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-4mdk
- Changed Group.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.93-3mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.93-2mdk
- Fix alpha support.
- Macros.
- BM.

* Tue Jun 13 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-1mdk
- 0.93

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-2mdk
- added menu entry

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.92-1mdk
- release from helix 
- SMP build/check
- Alpha Support.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.90b-2mdk
- fix group

* Thu Jan 27 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90b

* Wed Jan 12 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90

* Mon Dec 20 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.68
- Added INSTALL

* Fri Nov 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.67

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.66
- make the %files section mroe generic
- added translations
- added help file

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redo some specfile
- Update to 0.65 
- Update Source URL

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant again.

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
